Skip to content
Developer

CRMPersonContactData

CRM6 EndpointsCRM / CRMPersonContactData

This method will get all CRMPersonContactData Objects

GET/api/crm/crmpersoncontactdatas

Query parameters

idstring
personstring
typestring
valuestring
labelstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of CRMPersonContactData objectsarray<CRMPersonContactData>

Show fields (6)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "generated_value": "string",
    "contact_data_type": {
      "id": 42,
      "name": "Beispiel",
      "value": "string",
      "allow_self_service": true,
      "deleted": true
    },
    "search_string": "string"
  }
]

Add a new CRMPersonContactData

POST/api/crm/crmpersoncontactdatas

Responses

200Add a new CRMPersonContactDataCRMPersonContactData2

Show fields (7)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • companyCRMCompany

    Company the contact data belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "value": "string",
  "generated_value": "string",
  "contact_data_type": {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "allow_self_service": true,
    "deleted": true
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "secondary_name": "Beispiel",
    "invoice_email": "lena.hartmann@example.org",
    "send_invoice_email": true,
    "time_report_email": "lena.hartmann@example.org",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "search_string": "string"
}

This method will get a single CRMPersonContactData Object with the given id

GET/api/crm/crmpersoncontactdatas/{id}

Path parameters

idrequiredstring

Responses

200Returns a single CRMPersonContactDataCRMPersonContactData2

Show fields (7)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • companyCRMCompany

    Company the contact data belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "value": "string",
  "generated_value": "string",
  "contact_data_type": {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "allow_self_service": true,
    "deleted": true
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "secondary_name": "Beispiel",
    "invoice_email": "lena.hartmann@example.org",
    "send_invoice_email": true,
    "time_report_email": "lena.hartmann@example.org",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "search_string": "string"
}

This method will update a CRMPersonContactData Object

PUT/api/crm/crmpersoncontactdatas/{id}

Path parameters

idrequiredstring

Responses

200Update a CRMPersonContactDataCRMPersonContactData2

Show fields (7)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • companyCRMCompany

    Company the contact data belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "value": "string",
  "generated_value": "string",
  "contact_data_type": {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "allow_self_service": true,
    "deleted": true
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "secondary_name": "Beispiel",
    "invoice_email": "lena.hartmann@example.org",
    "send_invoice_email": true,
    "time_report_email": "lena.hartmann@example.org",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "search_string": "string"
}

This method will update a CRMPersonContactData Object

PATCH/api/crm/crmpersoncontactdatas/{id}

Path parameters

idrequiredstring

Responses

200Update a CRMPersonContactDataCRMPersonContactData2

Show fields (7)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • companyCRMCompany

    Company the contact data belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "value": "string",
  "generated_value": "string",
  "contact_data_type": {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "allow_self_service": true,
    "deleted": true
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "secondary_name": "Beispiel",
    "invoice_email": "lena.hartmann@example.org",
    "send_invoice_email": true,
    "time_report_email": "lena.hartmann@example.org",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "search_string": "string"
}

This method will delete a single CRMPersonContactData Object with the given id

DELETE/api/crm/crmpersoncontactdatas/{id}

Path parameters

idrequiredstring

Responses

200Delete a CRMPersonContactDataCRMPersonContactData2

Show fields (7)
  • idinteger

    Primary key of the contact data entry. Internal ID.

  • namestring

    Name of the contact data entry.

  • valuestring

    Value of the contact data entry, e.g. a phone number or e-mail address.

  • generated_valuestring

    Value generated from the entered value.

  • contact_data_typeContactDataType

    Type of the contact data.

    Show fields (5)
    • idinteger

      Primary key of the contact data type. Internal ID.

    • namestring

      Name of the contact data type, for example phone or e-mail.

    • valuestring

      Value of the contact data type.

    • allow_self_serviceboolean

      Members may edit this contact data type in self-service.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • companyCRMCompany

    Company the contact data belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/crmpersoncontactdatas/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "value": "string",
  "generated_value": "string",
  "contact_data_type": {
    "id": 42,
    "name": "Beispiel",
    "value": "string",
    "allow_self_service": true,
    "deleted": true
  },
  "company": {
    "id": 42,
    "short_name": "Beispiel",
    "company_name": "Beispiel",
    "secondary_name": "Beispiel",
    "invoice_email": "lena.hartmann@example.org",
    "send_invoice_email": true,
    "time_report_email": "lena.hartmann@example.org",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163"
  },
  "search_string": "string"
}